Bug 1296432 - failed to create tempest.conf with config_tempest.py when using existing image
failed to create tempest.conf with config_tempest.py when using existing image
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Daniel Mellado
tkammer
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 04:13 EST by Eran Kuris
Modified: 2016-07-18 08:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-20 06:12:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eran Kuris 2016-01-07 04:13:56 EST
Description of problem:
failed to create tempest.conf with config_tempest.py when using existing image compute.image_ref 1dc27325-31b0-4cb4-9a69-e7b8202de44d

python tools/config_tempest.py --create --debug compute.image_ref 1dc27325-31b0-4cb4-9a69-e7b8202de44d identity.uri $OS_AUTH_URL identity.admin_password $OS_PASSWORD --deployer-input /home/stack/tempest-deployer-input.conf  --network-id 2356217a-3dfa-4b80-9c5b-77cfe847b3ff 


2016-01-07 03:54:28.578 24087 INFO __main__ [-] (no change) Found flavor 'm1.micro'
2016-01-07 03:54:28.578 24087 DEBUG __main__ [-] Setting [compute] flavor_ref_alt = 15661cf3-41d6-42cc-8805-92e90b98ed60 set tools/config_tempest.py:379
2016-01-07 03:54:28.578 24087 CRITICAL tempest [-] AttributeError: 'ImageClientV2' object has no attribute 'get_image'
2016-01-07 03:54:28.578 24087 ERROR tempest Traceback (most recent call last):
2016-01-07 03:54:28.578 24087 ERROR tempest   File "tools/config_tempest.py", line 754, in <module>
2016-01-07 03:54:28.578 24087 ERROR tempest     main()
2016-01-07 03:54:28.578 24087 ERROR tempest   File "tools/config_tempest.py", line 152, in main
2016-01-07 03:54:28.578 24087 ERROR tempest     args.image_disk_format)
2016-01-07 03:54:28.578 24087 ERROR tempest   File "tools/config_tempest.py", line 545, in create_tempest_images
2016-01-07 03:54:28.578 24087 ERROR tempest     disk_format=disk_format)
2016-01-07 03:54:28.578 24087 ERROR tempest   File "tools/config_tempest.py", line 561, in find_or_upload_image
2016-01-07 03:54:28.578 24087 ERROR tempest     image = _find_image(client, image_id, image_name)
2016-01-07 03:54:28.578 24087 ERROR tempest   File "tools/config_tempest.py", line 742, in _find_image
2016-01-07 03:54:28.578 24087 ERROR tempest     return client.get_image(image_id)
2016-01-07 03:54:28.578 24087 ERROR tempest AttributeError: 'ImageClientV2' object has no attribute 'get_image'
2016-01-07 03:54:28.578 24087 ERROR tempest 


Version-Release number of selected component (if applicable):
latest tempest version 

How reproducible:


Steps to Reproduce:
1.run the command in tempest ENV : ython tools/config_tempest.py --create --debug compute.image_ref 1dc27325-31b0-4cb4-9a69-e7b8202de44d identity.uri $OS_AUTH_URL identity.admin_password $OS_PASSWORD --deployer-input /home/stack/tempest-deployer-input.conf  --network-id 2356217a-3dfa-4b80-9c5b-77cfe847b3ff 

2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Eran Kuris 2016-07-18 08:16:30 EDT
np

Note You need to log in before you can comment on or make changes to this bug.